Loading...
Searching...
No Matches
Dune::RebuildOnUpdatePreconditioner< OriginalPreconditioner > Class Template Reference

Wrapper class of preconditioners that should be reconstructed on update. More...

`#include <PreconditionerWithUpdate.hpp>`

Inheritance diagram for Dune::RebuildOnUpdatePreconditioner< OriginalPreconditioner >:

## Public Types

using | X = typename OriginalPreconditioner::domain_type
using | Y = typename OriginalPreconditioner::range_type

## Public Member Functions

template<class... Args>
| RebuildOnUpdatePreconditioner (Args... args)
void | pre (X &x, Y &b) override
void | apply (X &v, const Y &d) override
void | post (X &x) override
SolverCategory::Category | category () const override
void | update () override
bool | hasPerfectUpdate () const override

## Detailed Description

template<class OriginalPreconditioner>
class Dune::RebuildOnUpdatePreconditioner< OriginalPreconditioner >

Wrapper class of preconditioners that should be reconstructed on update.

Template Parameters

  OriginalPreconditioner | - Preconditioner of your choice

## Member Function Documentation

## hasPerfectUpdate()

template<class OriginalPreconditioner>

bool Dune::RebuildOnUpdatePreconditioner< OriginalPreconditioner >::hasPerfectUpdate | ( |  | ) | const

inline override virtual

Implements Dune::PreconditionerWithUpdate< OriginalPreconditioner::domain_type, OriginalPreconditioner::range_type >.

## update()

template<class OriginalPreconditioner>

void Dune::RebuildOnUpdatePreconditioner< OriginalPreconditioner >::update | ( |  | ) |

inline override virtual

Implements Dune::PreconditionerWithUpdate< OriginalPreconditioner::domain_type, OriginalPreconditioner::range_type >.

The documentation for this class was generated from the following file:

- opm/simulators/linalg/PreconditionerWithUpdate.hpp